LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XAsynchronousExecutableDialog Interface Reference

Specifies an interface for an executable dialog in asynchronous mode. More...

`import"XAsynchronousExecutableDialog.idl";`

Inheritance diagram for XAsynchronousExecutableDialog:

## Public Member Functions
void | setDialogTitle ([in] string aTitle)
| Sets the title of the dialog. More...
void | startExecuteModal ([in] XDialogClosedListener xListener)
| Executes (shows) the dialog and returns immediately. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Specifies an interface for an executable dialog in asynchronous mode.

## Member Function Documentation

## ◆ setDialogTitle()

void setDialogTitle | ( | [in] string | aTitle | ) |

Sets the title of the dialog.

Parameters

  aTitle | Set an arbitrary title for the dialog, may be an empty string if the dialog should not have a title.

## ◆ startExecuteModal()

void startExecuteModal | ( | [in] XDialogClosedListener | xListener | ) |

Executes (shows) the dialog and returns immediately.

Parameters

  xListener | This listener will be called when the dialog is closed.

The documentation for this interface was generated from the following file:

- com/sun/star/ui/dialogs/XAsynchronousExecutableDialog.idl